Zandronum Chat on our Discord Server Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003924Zandronum[All Projects] Bugpublic2021-11-11 07:122021-11-17 05:49
ReporterBluebrawl 
Assigned To 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusclosedResolutionno change required 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.1-beta 
Target VersionFixed in Version3.1-beta 
Summary0003924: Crash during countdown for MM8BDM V6A TLMS with Gondola Classes
DescriptionAfter 26 minutes of normal gameplay, several people experienced sudden crashes during the countdown to another round of TLMS on MM7SLA.
Steps To ReproduceCurrently not known
Additional InformationDemo with ini has been uploaded to Dropbox:https://www.dropbox.com/s/aftvsh2xafrfvnb/Zandronum_10.11.2021_22.35.38.zip?dl=0 [^]
Attached Fileszip file icon CrashReport.zip [^] (36,876 bytes) 2021-11-11 07:12
png file icon Capture.PNG [^] (62,290 bytes) 2021-11-11 16:34

- Relationships

-  Notes
User avatar (0021829)
Trillster (reporter)
2021-11-11 16:34
edited on: 2021-11-11 16:40

I've been looking into these crashes once they've started occurring, I have worries it might be with one of the newer files being hosted but after attempts to fix it within that file and no other leads, I'm not quite sure where it can be from now. The crash has occurred frequently between TLMS countdown and round start, but I've also seen instances where someone will die then the crash will occur. I've attached the call stack I got for running the minidump file in one of my crash reports. A check in Mendez's crash report shows basically exact same results.

Here's my crash report and demo of another TLMS round start instance.
https://www.dropbox.com/s/07s2z7lugxomevo/Zandronum_09.11.2021_17.35.56.crash_report.zip?dl=0 [^]

Going forward we're gonna test without the pk3 with potential issues, creating a wad lineup that functioned with no crashes in 3.0, to see if crashes still occur in the same vein. I'll be sure to update if they do occur.

User avatar (0021830)
Trillster (reporter)
2021-11-11 23:31
edited on: 2021-11-12 00:13

Update, full day of playing without the wad mentioned in my last note and no crashes have occurred, when previously at least 10 would've. So I think we can say that this file is at fault, but I'm not sure what specifically within it would be the cause.

https://allfearthesentinel.net/zandronum/download.php?file=trill-damagedisplay-v2h.pk3 [^]

Here's some other demos showcasing the same crash type,
https://www.dropbox.com/s/hryuoigtv35iuuv/TicsPlayed54695-DeathCrash.zip?dl=1 [^]
https://www.dropbox.com/s/fbw0cm7j5dic3p3/DeathDemo.zip?dl=1 [^]

User avatar (0021831)
WaTaKiD (updater)
2021-11-12 04:51

here are the tics where each provided demo ends, using demo_ticsplayed

Zandronum_10.11.2021_22.35.38
53607

Zandronum_09.11.2021_17.35.56
41326

TicsPlayed54695-DeathCrash
56910

Zandronum_10.11.2021_21.02.50
7914

ive tried using logfile with developer 1 and cl_showwarnings 1 but have found nothing of use

the only consistency ive noticed is that the demo ends after a player dies and seemingly finishes their death state to either become a dead spectator, or is allowed to respawn if during the tlms countdown phase
User avatar (0021832)
Trillster (reporter)
2021-11-15 01:32

Attempted to do an update to the crashing file to polish up some of the code that could've been causing issues or strain, and while it appears to have reduced the crashing overall, it does still happen. Crash report is the same still and the demo shows pretty much the same circumstance as prior.

New file:
https://allfearthesentinel.net/zandronum/download.php?file=trill-damagedisplay-v3.pk3 [^]

Demo + crash report:
https://www.dropbox.com/s/tqb84inqejsgq75/CrashReportAndDemo.zip?dl=1 [^]
User avatar (0021833)
Trillster (reporter)
2021-11-17 04:21

This appears to have been resolved in the latest version of the offending file,https://allfearthesentinel.net/zandronum/download.php?file=trill-damagedisplay-v3h.pk3 [^]

The major change in this version from the last was the removal of a GiveInventory call in an ENTER script. I'll give an update if it somehow turns out the crashing is occurring still.
User avatar (0021834)
Kaminsky (developer)
2021-11-17 05:49

I'll go ahead and close this now since the crash is file-related, which seems to have been resolved in a recent update. If the crashes happen again, feel free to re-open this ticket.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2021-11-11 07:12 Bluebrawl New Issue
2021-11-11 07:12 Bluebrawl File Added: CrashReport.zip
2021-11-11 16:34 Trillster File Added: Capture.PNG
2021-11-11 16:34 Trillster Note Added: 0021829
2021-11-11 16:36 Trillster Note Edited: 0021829 View Revisions
2021-11-11 16:38 Trillster Note Edited: 0021829 View Revisions
2021-11-11 16:38 Trillster Note Edited: 0021829 View Revisions
2021-11-11 16:39 Trillster Note Edited: 0021829 View Revisions
2021-11-11 16:40 Trillster Note Edited: 0021829 View Revisions
2021-11-11 23:31 Trillster Note Added: 0021830
2021-11-12 00:13 Trillster Note Edited: 0021830 View Revisions
2021-11-12 04:51 WaTaKiD Note Added: 0021831
2021-11-15 01:32 Trillster Note Added: 0021832
2021-11-17 04:21 Trillster Note Added: 0021833
2021-11-17 05:49 Kaminsky Note Added: 0021834
2021-11-17 05:49 Kaminsky Status new => closed
2021-11-17 05:49 Kaminsky Resolution open => no change required
2021-11-17 05:49 Kaminsky Fixed in Version => 3.1-beta






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker